org.codehaus.plexus.maven.plugin

## Class PlexusDescriptorMojo

- java.lang.Object
- - org.apache.maven.plugin.AbstractMojo
  - - org.codehaus.plexus.maven.plugin.AbstractDescriptorMojo
    - - org.codehaus.plexus.maven.plugin.PlexusDescriptorMojo

All Implemented Interfaces:
  org.apache.maven.plugin.ContextEnabled, org.apache.maven.plugin.Mojo

    public class PlexusDescriptorMojo
    extends AbstractDescriptorMojo

Generates a Plexus `components.xml` component descriptor file from source (javadoc) or class annotations.

Version:
  $Id: PlexusDescriptorMojo.java 7986 2008-12-31 09:47:23Z bentmann $
Author:
  Jason van Zyl, Trygve Laugstøl

### Field Summary

Fields
`protected java.io.File` `generatedMetadata` The output location for the generated descriptor.
`protected java.io.File` `intermediaryMetadata` The output location for the intermediary descriptor.
`protected java.io.File` `staticMetadataDirectory` The location of manually crafted component descriptors.

### Fields inherited from class org.codehaus.plexus.maven.plugin.AbstractDescriptorMojo

`mavenProject, mavenProjectHelper, metadataGenerator, sourceEncoding`

### Fields inherited from interface org.apache.maven.plugin.Mojo

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`PlexusDescriptorMojo()`

### Method Summary

Methods
`void` `execute()`

### Methods inherited from class org.apache.maven.plugin.AbstractMojo

`getLog, getPluginContext, setLog, setPluginContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### generatedMetadata

    protected java.io.File generatedMetadata

The output location for the generated descriptor.

#### staticMetadataDirectory

    protected java.io.File staticMetadataDirectory

The location of manually crafted component descriptors. The contents of the descriptor files in this directory is merged with the information extracted from the project's sources/classes.

#### intermediaryMetadata

    protected java.io.File intermediaryMetadata

The output location for the intermediary descriptor. This descriptors contains only the information extracted from the project's sources/classes.

### Constructor Detail

#### PlexusDescriptorMojo

    public PlexusDescriptorMojo()

### Method Detail

#### execute

    public void execute()
                 throws org.apache.maven.plugin.MojoExecutionException

Throws:
  `org.apache.maven.plugin.MojoExecutionException`